use axum::{
    extract::State,
    http::StatusCode,
    routing::{get, post},
    Router,
};
use member::migrate::{migrate_confirm, migrate_request};

use crate::{auth::Permissions, AppState};

pub mod auth;
pub mod member;
pub mod user;

pub fn routes() -> Router<AppState> {
    Router::new()
        .route("/", get(root))
        // .route("/member/:id", get())
        .route("/members/migrate_request", post(migrate_request))
        .route("/members/migrate_confirm", post(migrate_confirm))
}

async fn root(
    State(state): State<AppState>,
    permissions: Permissions<'_>,
) -> Result<String, (StatusCode, String)> {
    tracing::info!("{:?}", permissions);

    Ok("Hello world".to_string())
}
